What do I need to run AirServer?

Last Updated: Sep 17, 2015 01:59AM UTC

  • AirServer. (Each computer requires one license)
  • Mac running OS X 10.8 (Mountain Lion) or newer (Mavericks, Yosemite, El Capitan) or a PC running Windows 7, 8, 8.1 or Windows 10. Note: Windows XP and Windows Vista are not supported.
  • Devices that support mirroring to AirServer are: iPhone 4s or newer, iPod touch 5 or newer, iPad mini (all models), iPad 2nd gen or newer, and new model Macs with built-in mirroring running Mountain Lion, Mavericks, Yosemite, or El Capitan.
  • Internet connection for activation. An internet connection is not necessary after you have activated AirServer with a purchased license.
  • Wi-Fi or ad-hoc network for operation.